
SET SQL DIALECT 3;

SET NAMES WIN1251;

CONNECT 'CLB.FDB' USER 'SYSDBA' PASSWORD 'masterkey' ;

/*  : 3_0_1  to  3_0_2  */

CREATE GENERATOR GEN_TMP_FILELIST_ID;
CREATE GENERATOR GEN_TMP_SPRAVKA_RUB_ID;

CREATE TABLE TMP_FILELIST (
    ID        BIGINT NOT NULL,
    FILENAME  VARCHAR(100),
    DESCRIP   VARCHAR(60),
    USERNAME  VARCHAR(8)
);

CREATE TABLE TMP_SPRAVKA_RUB (
    ID        INTEGER NOT NULL,
    DDATE     DATE,
    KODVO     VARCHAR(9),
    RSUM      BIGINT,
    VKOD      VARCHAR(3),
    VSUM      BIGINT,
    PS        VARCHAR(22),
    USERNAME  VARCHAR(8)
);

/******************************************************************************/
/***                              Primary Keys                              ***/
/******************************************************************************/

ALTER TABLE TMP_FILELIST ADD CONSTRAINT PK_TMP_FILELIST PRIMARY KEY (ID);
ALTER TABLE TMP_SPRAVKA_RUB ADD CONSTRAINT PK_TMP_SPRAVKA_RUB PRIMARY KEY (ID);

/******************************************************************************/
/***                                Triggers                                ***/
/******************************************************************************/

SET TERM ^ ;

/******************************************************************************/
/***                          Triggers for tables                           ***/
/******************************************************************************/

/* Trigger: TMP_FILELIST_BI */
CREATE TRIGGER TMP_FILELIST_BI FOR TMP_FILELIST
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(GEN_TMP_FILELIST_ID,1);
END
^

CREATE TRIGGER TMP_SPRAVKA_RUB_BI FOR TMP_SPRAVKA_RUB
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(GEN_TMP_SPRAVKA_RUB_ID,1);
END
^

SET TERM ; ^

/*
: 3_0_2_to_3_0_2_b2
    EDOCS (NAMORG 250, NAMCON 250, BANK 250, NAZN 300)
*/
ALTER TABLE OURORGS ADD RUKTITLE VARCHAR(30);

ALTER TABLE EDOCS ALTER COLUMN NAMORG TYPE VARCHAR(250);

ALTER TABLE EDOCS ALTER COLUMN NAMCON TYPE VARCHAR(250);

ALTER TABLE EDOCS ALTER COLUMN BANK TYPE VARCHAR(250);

ALTER TABLE EDOCS ALTER COLUMN NAZN TYPE VARCHAR(300);

/* : 3_0_2_b2_to_3_0_4
  EDOCS: DSUM INTEGER -> DSUM BIGINT
*/

ALTER TABLE EDOCS ALTER COLUMN DSUM TYPE BIGINT;

delete from settable where param = 'DBVersion';
insert into settable (param, mean) values ('DBVersion', 304);
